
Orchestrator - Bug #57558

cephadm: `ceph orch ps` doesn't list container versions in some cases

09/15/2022 01:37 PM - Tatjana Dehler

Status: Resolved % Done: 0%

Priority: Normal   

Assignee: Tatjana Dehler   

Category: cephadm   

Target version:    

Source:  Affected Versions:  

Tags: backport_processed ceph-qa-suite:  

Backport: pacific quincy Pull request ID: 48118

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

If the software within a container returns its version as stdout, it's not listed as part of the `ceph orch ps` command. Only stderr is

considered to determine the version.

Related issues:

Copied to Orchestrator - Backport #57639: pacific: cephadm: `ceph orch ps` do... Resolved

Copied to Orchestrator - Backport #57640: quincy: cephadm: `ceph orch ps` doe... Resolved

History

#1 - 09/22/2022 01:51 PM - Adam King

- Status changed from In Progress to Pending Backport

#2 - 09/22/2022 01:55 PM - Backport Bot

- Copied to Backport #57639: pacific: cephadm: `ceph orch ps` doesn't list container versions in some cases added

#3 - 09/22/2022 01:55 PM - Backport Bot

- Copied to Backport #57640: quincy: cephadm: `ceph orch ps` doesn't list container versions in some cases added

#4 - 09/22/2022 01:55 PM - Backport Bot

- Tags set to backport_processed

#5 - 09/22/2022 02:01 PM - Tatjana Dehler

- Pull request ID set to 48118

#6 - 03/08/2023 08:43 PM - Adam King

- Status changed from Pending Backport to Resolved
